aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-06-15 14:47:18 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-06-15 20:07:16 +0000
commit93d4bbdda0013022a55bd156da2d754aaada7529 (patch)
tree841aa723335c635ef74c1b87c68cd7028ccaa07a
parentbd32cbf7df26185cd4baf1bfe5df75447fbf5fe9 (diff)
downloadaports-93d4bbdda0013022a55bd156da2d754aaada7529.tar.gz
aports-93d4bbdda0013022a55bd156da2d754aaada7529.tar.bz2
aports-93d4bbdda0013022a55bd156da2d754aaada7529.tar.xz
main/perl-encode-hanextra: rebuild against perl 5.26
-rw-r--r--main/perl-encode-hanextra/APKBUILD32
-rw-r--r--main/perl-encode-hanextra/perl-5.26.patch12
2 files changed, 26 insertions, 18 deletions
diff --git a/main/perl-encode-hanextra/APKBUILD b/main/perl-encode-hanextra/APKBUILD
index 0642996bdd..9ea8a1fef6 100644
--- a/main/perl-encode-hanextra/APKBUILD
+++ b/main/perl-encode-hanextra/APKBUILD
@@ -4,7 +4,7 @@
pkgname=perl-encode-hanextra
_pkgreal=Encode-HanExtra
pkgver=0.23
-pkgrel=1
+pkgrel=2
pkgdesc="Perl module for Encode-HanExtra"
url="http://search.cpan.org/dist/Encode-HanExtra/"
arch="all"
@@ -14,31 +14,27 @@ cpanmakedepends=""
depends="$cpandepends"
makedepends="perl-dev $cpanmakedepends"
subpackages="$pkgname-doc"
-source="http://search.cpan.org/CPAN/authors/id/A/AU/AUDREYT/$_pkgreal-$pkgver.tar.gz"
-
-_builddir="$srcdir/$_pkgreal-$pkgver"
-
-prepare() {
- cd "$_builddir"
- if [ -e Build.PL ]; then
- perl Build.PL installdirs=vendor || return 1
- else
- PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
- fi
-}
+source="http://search.cpan.org/CPAN/authors/id/A/AU/AUDREYT/$_pkgreal-$pkgver.tar.gz
+ perl-5.26.patch"
+builddir="$srcdir/$_pkgreal-$pkgver"
build() {
- cd "$_builddir"
+ cd "$builddir"
export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
make && make test
}
+check() {
+ cd "$builddir"
+ make test
+}
+
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="e1d3bc32c1c8ee304235a06fbcd5d5a4 Encode-HanExtra-0.23.tar.gz"
-sha256sums="1fd4b06cada70858003af153f94c863b3b95f2e3d03ba18d0451a81d51db443a Encode-HanExtra-0.23.tar.gz"
-sha512sums="218083b9b3b4517cfc714169479cba0689a3586d9abb24bcc79d3401d37dd9412cb4e878b6aad06676d5c4f0e03cc69dcaf2e5f48036e2da6f336508c381e462 Encode-HanExtra-0.23.tar.gz"
+sha512sums="218083b9b3b4517cfc714169479cba0689a3586d9abb24bcc79d3401d37dd9412cb4e878b6aad06676d5c4f0e03cc69dcaf2e5f48036e2da6f336508c381e462 Encode-HanExtra-0.23.tar.gz
+91044f483f87951094ebbbb326165f31fe8e616b7189f45a97d4d65e60ad751d956bbf5425c3fe213e15e0c027209edb348a398755ef8fb23499493161fae955 perl-5.26.patch"
diff --git a/main/perl-encode-hanextra/perl-5.26.patch b/main/perl-encode-hanextra/perl-5.26.patch
new file mode 100644
index 0000000000..7848467b1e
--- /dev/null
+++ b/main/perl-encode-hanextra/perl-5.26.patch
@@ -0,0 +1,12 @@
+diff --git a/Makefile.PL b/Makefile.PL
+index 9e6cf51..333c7cd 100644
+--- a/Makefile.PL
++++ b/Makefile.PL
+@@ -5,6 +5,7 @@
+ #
+ use 5.007002;
+ use strict;
++BEGIN { push @INC, '.'; }
+ use inc::Module::Install;
+ use Config;
+